package com.katesoft.scale4j.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This is just to increase readability of code.
 * <p/>
 * Marking method with this annotation means that method can 'work' with null references and is expecting for such situations.
 *
 * Client should not worry when passing null reference to this such methods.
 *
 * @author kate2007
 */
@Retention(RetentionPolicy.SOURCE)
@Target(ElementType.METHOD)
public @interface NullSafe
{
}
